[arch-commits] Commit in glib2/repos (10 files)

Jan Steffens heftig at nymeria.archlinux.org
Wed Apr 10 19:11:16 UTC 2013


    Date: Wednesday, April 10, 2013 @ 21:11:15
  Author: heftig
Revision: 182433

db-move: moved glib2 from [staging] to [testing] (i686, x86_64)

Added:
  glib2/repos/testing-i686/
  glib2/repos/testing-i686/0001-Make-gtester-report-work-with-Python-3.x.patch
    (from rev 182430, glib2/repos/staging-i686/0001-Make-gtester-report-work-with-Python-3.x.patch)
  glib2/repos/testing-i686/PKGBUILD
    (from rev 182430, glib2/repos/staging-i686/PKGBUILD)
  glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch
    (from rev 182430, glib2/repos/staging-i686/revert-warn-glib-compile-schemas.patch)
  glib2/repos/testing-x86_64/
  glib2/repos/testing-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch
    (from rev 182430, glib2/repos/staging-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch)
  glib2/repos/testing-x86_64/PKGBUILD
    (from rev 182430, glib2/repos/staging-x86_64/PKGBUILD)
  glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch
    (from rev 182430, glib2/repos/staging-x86_64/revert-warn-glib-compile-schemas.patch)
Deleted:
  glib2/repos/staging-i686/
  glib2/repos/staging-x86_64/

--------------------------------------------------------------------+
 testing-i686/0001-Make-gtester-report-work-with-Python-3.x.patch   |   60 +++++++++
 testing-i686/PKGBUILD                                              |   63 ++++++++++
 testing-i686/revert-warn-glib-compile-schemas.patch                |   33 +++++
 testing-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch |   60 +++++++++
 testing-x86_64/PKGBUILD                                            |   63 ++++++++++
 testing-x86_64/revert-warn-glib-compile-schemas.patch              |   33 +++++
 6 files changed, 312 insertions(+)

Copied: glib2/repos/testing-i686/0001-Make-gtester-report-work-with-Python-3.x.patch (from rev 182430, glib2/repos/staging-i686/0001-Make-gtester-report-work-with-Python-3.x.patch)
===================================================================
--- testing-i686/0001-Make-gtester-report-work-with-Python-3.x.patch	                        (rev 0)
+++ testing-i686/0001-Make-gtester-report-work-with-Python-3.x.patch	2013-04-10 19:11:15 UTC (rev 182433)
@@ -0,0 +1,60 @@
+From 3d81e0a414ecb876f2429c0108a685152bd4ee54 Mon Sep 17 00:00:00 2001
+From: Jan de Groot <jgc at archlinux.org>
+Date: Thu, 21 Mar 2013 20:47:57 +0100
+Subject: [PATCH] Make gtester-report work with Python 3.x: - fix indentations
+ (tabs to spaces) - Replace print with print(), still works with Python 2.x
+
+---
+ glib/gtester-report | 28 ++++++++++++++--------------
+ 1 file changed, 14 insertions(+), 14 deletions(-)
+
+diff --git a/glib/gtester-report b/glib/gtester-report
+index 0fcdd9a..00296ea 100755
+--- a/glib/gtester-report
++++ b/glib/gtester-report
+@@ -308,20 +308,20 @@ class HTMLReportWriter(ReportWriter):
+     if binary.success_cases:
+       oklink = 'href="javascript:toggle_display (\'ResultTable\', \'tr\', \'b%u_\', \'success\')"' % self.bcounter
+     if real_cases != 0:
+-	self.oprint ('<a %s>ER</a>\n' % erlink)
+-	self.oprint ('<a %s>OK</a>\n' % oklink)
+-	self.oprint ('</td>\n')
+-	perc = binary.success_cases * 100.0 / real_cases
+-	pcolor = {
+-	  100 : 'bgcolor="lightgreen"',
+-	  0   : 'bgcolor="red"',
+-	}.get (int (perc), 'bgcolor="yellow"')
+-	self.oprint ('<td align="right" %s>%.2f%%</td>\n' % (pcolor, perc))
+-	self.oprint ('</tr>\n')
++        self.oprint ('<a %s>ER</a>\n' % erlink)
++        self.oprint ('<a %s>OK</a>\n' % oklink)
++        self.oprint ('</td>\n')
++        perc = binary.success_cases * 100.0 / real_cases
++        pcolor = {
++          100 : 'bgcolor="lightgreen"',
++          0   : 'bgcolor="red"',
++        }.get (int (perc), 'bgcolor="yellow"')
++        self.oprint ('<td align="right" %s>%.2f%%</td>\n' % (pcolor, perc))
++        self.oprint ('</tr>\n')
+     else:
+-	self.oprint ('Empty\n')
+-	self.oprint ('</td>\n')
+-	self.oprint ('</tr>\n')
++        self.oprint ('Empty\n')
++        self.oprint ('</td>\n')
++        self.oprint ('</tr>\n')
+     for tc in binary.testcases:
+       self.handle_testcase (tc, binary)
+   def handle_totals (self):
+@@ -466,7 +466,7 @@ def parse_opts():
+             " Needs python-subunit]")
+     options, files = parser.parse_args()
+     if options.version:
+-        print parser.epilog
++        print(parser.epilog)
+         return None, None
+     if len(files) != 1:
+         parser.error("Must supply a log file to parse.")
+-- 
+1.8.2
+

Copied: glib2/repos/testing-i686/PKGBUILD (from rev 182430, glib2/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-04-10 19:11:15 UTC (rev 182433)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.36.0
+pkgrel=5
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver%.*}/glib-$pkgver.tar.xz
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('455a8abe8692c5174bcc7ffa15b96a7521a2f2f9fb47594405927c35cb9bb227'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+build() {
+  cd glib-$pkgver
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam
+  make
+}
+
+check() {
+  cd glib-$pkgver
+  #make -k check || :
+}
+
+package_glib2() {
+  depends=('pcre' 'libffi')
+  optdepends=('python2: for gdbus-codegen and gtester-report'
+              'elfutils: gresource inspection tool')
+  options=('!docs' '!libtool' '!emptydirs')
+  license=('LGPL')
+
+  cd glib-$pkgver
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+      chmod -x "$_i"
+  done
+
+  # Our gdb does not ship the required python modules, so remove it
+  rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=('gobject2-docs')
+  replaces=('gobject2-docs')
+  license=('custom')
+  options=('docs' '!emptydirs')
+  
+  cd glib-$pkgver/docs
+  make DESTDIR="${pkgdir}" install
+  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+  rm -rf "${pkgdir}/usr/share/man"
+}

Copied: glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch (from rev 182430, glib2/repos/staging-i686/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-i686/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ testing-i686/revert-warn-glib-compile-schemas.patch	2013-04-10 19:11:15 UTC (rev 182433)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2

Copied: glib2/repos/testing-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch (from rev 182430, glib2/repos/staging-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch)
===================================================================
--- testing-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch	                        (rev 0)
+++ testing-x86_64/0001-Make-gtester-report-work-with-Python-3.x.patch	2013-04-10 19:11:15 UTC (rev 182433)
@@ -0,0 +1,60 @@
+From 3d81e0a414ecb876f2429c0108a685152bd4ee54 Mon Sep 17 00:00:00 2001
+From: Jan de Groot <jgc at archlinux.org>
+Date: Thu, 21 Mar 2013 20:47:57 +0100
+Subject: [PATCH] Make gtester-report work with Python 3.x: - fix indentations
+ (tabs to spaces) - Replace print with print(), still works with Python 2.x
+
+---
+ glib/gtester-report | 28 ++++++++++++++--------------
+ 1 file changed, 14 insertions(+), 14 deletions(-)
+
+diff --git a/glib/gtester-report b/glib/gtester-report
+index 0fcdd9a..00296ea 100755
+--- a/glib/gtester-report
++++ b/glib/gtester-report
+@@ -308,20 +308,20 @@ class HTMLReportWriter(ReportWriter):
+     if binary.success_cases:
+       oklink = 'href="javascript:toggle_display (\'ResultTable\', \'tr\', \'b%u_\', \'success\')"' % self.bcounter
+     if real_cases != 0:
+-	self.oprint ('<a %s>ER</a>\n' % erlink)
+-	self.oprint ('<a %s>OK</a>\n' % oklink)
+-	self.oprint ('</td>\n')
+-	perc = binary.success_cases * 100.0 / real_cases
+-	pcolor = {
+-	  100 : 'bgcolor="lightgreen"',
+-	  0   : 'bgcolor="red"',
+-	}.get (int (perc), 'bgcolor="yellow"')
+-	self.oprint ('<td align="right" %s>%.2f%%</td>\n' % (pcolor, perc))
+-	self.oprint ('</tr>\n')
++        self.oprint ('<a %s>ER</a>\n' % erlink)
++        self.oprint ('<a %s>OK</a>\n' % oklink)
++        self.oprint ('</td>\n')
++        perc = binary.success_cases * 100.0 / real_cases
++        pcolor = {
++          100 : 'bgcolor="lightgreen"',
++          0   : 'bgcolor="red"',
++        }.get (int (perc), 'bgcolor="yellow"')
++        self.oprint ('<td align="right" %s>%.2f%%</td>\n' % (pcolor, perc))
++        self.oprint ('</tr>\n')
+     else:
+-	self.oprint ('Empty\n')
+-	self.oprint ('</td>\n')
+-	self.oprint ('</tr>\n')
++        self.oprint ('Empty\n')
++        self.oprint ('</td>\n')
++        self.oprint ('</tr>\n')
+     for tc in binary.testcases:
+       self.handle_testcase (tc, binary)
+   def handle_totals (self):
+@@ -466,7 +466,7 @@ def parse_opts():
+             " Needs python-subunit]")
+     options, files = parser.parse_args()
+     if options.version:
+-        print parser.epilog
++        print(parser.epilog)
+         return None, None
+     if len(files) != 1:
+         parser.error("Must supply a log file to parse.")
+-- 
+1.8.2
+

Copied: glib2/repos/testing-x86_64/PKGBUILD (from rev 182430, glib2/repos/staging-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-04-10 19:11:15 UTC (rev 182433)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.36.0
+pkgrel=5
+pkgdesc="Common C routines used by GTK+ and other libs"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=('pkg-config' 'python2' 'libxslt' 'docbook-xml' 'pcre' 'libffi' 'elfutils')
+source=(http://ftp.gnome.org/pub/GNOME/sources/glib/${pkgver%.*}/glib-$pkgver.tar.xz
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('455a8abe8692c5174bcc7ffa15b96a7521a2f2f9fb47594405927c35cb9bb227'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+build() {
+  cd glib-$pkgver
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam
+  make
+}
+
+check() {
+  cd glib-$pkgver
+  #make -k check || :
+}
+
+package_glib2() {
+  depends=('pcre' 'libffi')
+  optdepends=('python2: for gdbus-codegen and gtester-report'
+              'elfutils: gresource inspection tool')
+  options=('!docs' '!libtool' '!emptydirs')
+  license=('LGPL')
+
+  cd glib-$pkgver
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  for _i in "$pkgdir/usr/share/bash-completion/completions/"*; do
+      chmod -x "$_i"
+  done
+
+  # Our gdb does not ship the required python modules, so remove it
+  rm -rf "$pkgdir/usr/share/gdb/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=('gobject2-docs')
+  replaces=('gobject2-docs')
+  license=('custom')
+  options=('docs' '!emptydirs')
+  
+  cd glib-$pkgver/docs
+  make DESTDIR="${pkgdir}" install
+  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
+  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
+
+  rm -rf "${pkgdir}/usr/share/man"
+}

Copied: glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch (from rev 182430, glib2/repos/staging-x86_64/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-x86_64/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ testing-x86_64/revert-warn-glib-compile-schemas.patch	2013-04-10 19:11:15 UTC (rev 182433)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2




More information about the arch-commits mailing list